* {
    text-decoration: none;
}

:root {
    --theme1: #03003b, #002f6d, #005da0, #008ed1;
    --theme2: #09203E, #223D5B, #3B5A78, #537895;
    --theme3: #181B22, #2B303A, #3F4653, #525B6D;
    --theme4: #252429, #5C6570, #93A6B7, #C9E8FD;
    --theme5: #3F2B96, #625DB9, #858FDC, #A8C0FF;
    --theme6: #D53369, #D75C61, #D98559, #DAAE51;
    --theme7: #053434, #085C3F, #0B854B, #0EAE57;
}

body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100vh;
    background: linear-gradient(135deg, var(--theme1));
    transition: all 1s ease;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow-y: hidden;
}


.head {
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 2rem 2rem 0 2rem;
    gap: 2rem;

    transform: translateY(calc(-50vh + 1rem));
}

button {
    margin: 0 1rem;
    width: 2.4rem;
    height: 11px;

    background: rgba(0, 0, 0, 0.5);
    border: 1px solid rgba(255, 255, 255, 0.125);
    border-radius: 4px;
    cursor: pointer;
}

.button-tooltip {
    position: relative;
}

.button-tooltip::after {
    content: attr(data-tooltip);
    position: absolute;
    margin-top: 16px;
    padding: 10px;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    background: rgba(0, 0, 0, 0.5);
    border-radius: 4px;

    display: inline-block;
    white-space: nowrap;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 12px;
    color: rgba(255, 255, 255, 0.7);

    z-index: 1;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.button-tooltip:hover::after {
    z-index: 1;
    opacity: 1;
    visibility: visible;
}

#main {
    width: 80%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    row-gap: 1.2rem;
}

.card {
    width: 16rem;
    height: 16rem;
    margin: 2.4rem;
    background: rgba(0, 0, 0, 0.3);
    box-shadow: 0 0.75rem 2rem 0 rgba(0, 0, 0, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.125);
    border-radius: 2rem;
    transition: all 0.5s;

    display: flex;
    justify-content: center;
    align-items: center;
}

.txt {
    font-family: Cambria, sans-serif;
    font-size: 24px;
    letter-spacing: 1px;
    width: 80%;
    height: 80%;
    padding: 8px;
    color: rgba(255, 255, 255, 0.675);

    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.card:hover {
    transform: rotate(12.5deg);
    box-shadow: 0 0.75rem 2rem 0 rgba(255, 255, 255, 0.05);
    transition: all 0.25s;
}


/* ---- Screen Scale ---*/

@media only screen and (max-width: 1670px) {
    .card {
        width: 14rem;
        height: 14rem;
    }
}

@media only screen and (max-width: 1514px) {
    #main {
        width: 85%;
    }
}

@media only screen and (max-width: 1425px) {
    #main {
        width: 90%;
        row-gap: 0.6rem;
    }
}

@media only screen and (max-width: 1346px) {
    #main {
        width: 95%;
        justify-content: center;
    }

    .txt {
        font-size: 20px;
    }

    .card {
        width: 12rem;
        height: 12rem;
        border-radius: 1.5rem;
    }
}

@media only screen and (max-width: 1138px) {
    #main {
        justify-content: center;
    }

    .card {
        width: 11rem;
        height: 11rem;
        margin: 1.8rem;
    }
}

@media only screen and (max-width: 749px) {
    #main {
        width: 90%;
        justify-content: space-evenly;
        row-gap: 0rem;
    }

    .head {
        transform: translateY(calc(-50vh + 2rem));
        margin: 2rem 2rem 0 2rem;
        gap: 1rem 2rem;
    }

    .txt {
        font-size: 18px;
    }

    .card {
        width: 10rem;
        height: 10rem;
        border-radius: 1.25rem;
        margin: 1.2rem;
    }
}

@media only screen and (max-width: 666px) {
    .txt {
        font-size: 14px;
    }

    .card {
        width: 8.5rem;
        height: 8.5rem;
        border-radius: 1rem;
        margin: 1.2rem;
    }
}

@media only screen and (max-width: 442px) {
    .head {
        margin: 2rem 1rem 0 1rem;
        gap: 1rem 1rem;
    }

    .txt {
        font-size: 14px;
    }

    .card {
        width: 8rem;
        height: 8rem;
        border-radius: 1rem;
        margin: 1rem;
    }
}